gnutls_openpgp_privkey_get_preferred_key_id(3)

NAME
gnutls_openpgp_privkey_get_preferred_key_id - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_get_preferred_key_id(gnutls_openpgp_privkey_t key, gnutls_openpgp_keyid_t keyid);

ARGUMENTS

gnutls_openpgp_privkey_t key
    the structure that contains the OpenPGP public key.

gnutls_openpgp_keyid_t keyid
    the struct to save the keyid.

DESCRIPTION
Get the preferred key-id for the key.

RETURNS
the 64-bit preferred keyID of the OpenPGP key, or if it hasn't been set it returns GNUTLS_E_INVALID_REQUEST.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/